Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607876 - Review Request: perl-Net-IMAP-Simple - Simple IMAP account handling
Review Request: perl-Net-IMAP-Simple - Simple IMAP account handling
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark Chappell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 607873 607875
  Show dependency treegraph
 
Reported: 2010-06-25 00:24 EDT by Jeroen van Meeuwen
Modified: 2011-06-21 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Net-IMAP-Simple-1.1916-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 18:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mark Chappell 2010-06-25 07:24:43 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
   [x] Versioned MODULE_COMPAT_ Requires 
   [x] Non-Versioned CPAN URL tag 
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: epel-5-i386 in mock
 [!] Rpmlint output:

perl-Net-IMAP-Simple.noarch: E: description-line-too-long Perl extension for simple IMAP account handling, mostly compatible with Net::POP3.
perl-Net-IMAP-Simple.src: E: description-line-too-long Perl extension for simple IMAP account handling, mostly compatible with Net::POP3.
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SRPM : bafc6db379391051cfd311c1430234f9
     Downloaded : bafc6db379391051cfd311c1430234f9
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2271908
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2271908
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the tests pass if appropriate

error starting imap server: No such file or directoryBase class package "Class::Accessor" is empty.


=== Comments ===

Description line is 83 characters and should probably have a line break before 72.

Adding BuildRequires perl(Regexp::Common) and perl(Class::Accessor) appears to be required for the tests.

Might possibly be covered by 

#  Tests which require network or display access should be disabled for the buildsystem, but with a method provided for local builds 

however there's no disabling or localbuild provision in the spec.
Comment 2 Jeroen van Meeuwen 2010-06-27 03:56:04 EDT
Thank you for reviewing;

Note that in order to be able to fully execute the tests, apparently the entire perl coroutines sets of (Coro) modules will need to packaged as well (see test output); the tests want Coro::EV

New SPEC: http://git.ergo-project.org/?p=kolab-fedora.git;a=blob_plain;f=el5/custom-el5-kolabsys.com/SPECS/perl-Net-IMAP-Simple.spec
New SRPM: http://koji.ergo-project.org/packages/perl-Net-IMAP-Simple/1.1916/2.el5/src/perl-Net-IMAP-Simple-1.1916-2.el5.src.rpm
Comment 3 Mark Chappell 2010-06-27 07:34:20 EDT
Given Coro::EV hasn't been packaged and it's only for tests I think we ignore that one.

Spotted one other niggle, which should be fixed before initial import, the Source0 URL doesn't appear to be valid.  You're using the right tarballs so I'll approve the package, but the URL should be corrected.

Package approved
Comment 4 Jeroen van Meeuwen 2010-06-27 07:55:21 EDT
New Package CVS Request
=======================
Package Name: perl-Net-IMAP-Simple
Short Description: Simple IMAP account handling
Owners: kanarip
Branches: EL-4 EL-5 EL-6 F-12 F-13 devel
InitialCC:
Comment 5 Jason Tibbitts 2010-06-27 12:52:47 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-07-17 10:51:33 EDT
perl-Net-IMAP-Simple-1.1916-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-1.1916-3.fc12
Comment 7 Fedora Update System 2010-07-17 10:51:42 EDT
perl-Net-IMAP-Simple-1.1916-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-1.1916-3.fc13
Comment 8 Fedora Update System 2010-07-17 10:51:48 EDT
perl-Net-IMAP-Simple-1.1916-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-1.1916-3.el5
Comment 9 Fedora Update System 2010-07-20 18:45:10 EDT
perl-Net-IMAP-Simple-1.1916-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-06-21 13:08:37 EDT
perl-Net-IMAP-Simple-1.1916-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.